%global momorel 1

%global major 1
%global minor 51
%global patchver 060717

%global ver %{major}.%{minor}.%{patchver}
#%%global srcversion %{major}%{minor}%{patchver}
%global srcversion %{major}%{minor}_%{patchver}

Summary: jd - 2ch browser for Linux
Name: jd
Version: %{ver}
Release: %{momorel}m
License: GPL
Group: User Interface/X
URL: http://sourceforge.jp/projects/jd4linux/
# http://jd4linux.sourceforge.jp/
#Source0: http://dl.sourceforge.net/jd4linux/20362/%{name}-%{srcversion}.tgz
Source0: http://dl.sourceforge.net/sourceforge/%{name}-%{srcversion}.tgz
#NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glibmm pango
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: gtkmm >= 2.8.8
BuildRequires: libtool
BuildRequires: zlib
BuildRequires: glibmm-devel
BuildRequires: pango-devel

%description
jd is 2ch browser for Linux

%prep 
%setup -q -n %{name}-%{srcversion}

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*

%changelog
* Sun Jul 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.51.060717-1m)
- update to current tarball

* Sat Jun 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.51.060611-1m)
- update to current tarball

* Sat Jun 03 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.50.060528-2m)
- update to 1.50.060601 release version
- change URL to sourceforge.net and No NoSource avoid sf.net problem

* Sun May 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5rc.060528-2m)
- update to 15rc060528

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5b.060518-2m)
- rebuild against gtkmm-2.8.8

* Fri May 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060518-1m)
- update to 15b060518

* Sun Apr 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060425-1m)
- update to 15b060425

* Sun Feb 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060226-1m)
- update to 15b060226
- delete Patch0: jd-10060101-gcc41.patch

* Mon Jan 02 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.060101-2m)
- add gcc41 patch
- Patch0: jd-10060101-gcc41.patch

* Mon Jan 02 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.060101-1m)
- import to Momonga
